Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition Class Reference
Inheritance diagram for eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition:

## Public Member Functions
| getValidatorConfiguration ()
| This method returns the validator configuration of this field definition supported by the field type. More...
| getFieldSettings ()
| This method returns settings for the field definition supported by the field type. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageName
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
| getDescriptions ()
| Return the human readable description in all provided languages. More...
| getDescription ($languageCode=null)
| Return the human readable description of the domain object in a given language. More...

## Protected Attributes
| $fieldSettings
| $validatorConfiguration
Protected Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\FieldDefinition
| $id
| $identifier
| $fieldGroup
| $position
| $fieldTypeIdentifier
| $isTranslatable
| $isRequired
| $isInfoCollector
| $defaultValue
| $isSearchable
| $mainLanguageCode

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 34 of file Core/Repository/Values/ContentType/FieldDefinition.php.

## Member Function Documentation

## ◆ getFieldSettings()

eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition::getFieldSettings | ( |  | ) |

This method returns settings for the field definition supported by the field type.

Returns
  array

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\FieldDefinition.

Definition at line 69 of file Core/Repository/Values/ContentType/FieldDefinition.php.

References eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\$fieldSettings.

## ◆ getValidatorConfiguration()

eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition::getValidatorConfiguration | ( |  | ) |

This method returns the validator configuration of this field definition supported by the field type.

Returns
  mixed

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\FieldDefinition.

Definition at line 59 of file Core/Repository/Values/ContentType/FieldDefinition.php.

References eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\$validatorConfiguration.

## Member Data Documentation

## ◆ $fieldSettings

eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition::$fieldSettings
| protected

Definition at line 45 of file Core/Repository/Values/ContentType/FieldDefinition.php.

Referenced by eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\getFieldSettings().

## ◆ $validatorConfiguration

eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition::$validatorConfiguration
| protected

Definition at line 52 of file Core/Repository/Values/ContentType/FieldDefinition.php.

Referenced by eZ\Publish\Core\Repository\Values\ContentType\FieldDefinition\getValidatorConfiguration().

The documentation for this class was generated from the following file:

- Core/Repository/Values/ContentType/FieldDefinition.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.